Ruby - Bug #4846

Permission denied - /tmp/nonexisting
06/07/2011 03:32 AM - znz (Kazuhiro NISHIYAMA)

Status: Closed

Priority: Normal

Assignee: znz (Kazuhiro NISHIYAMA)

Target version: 1.9.3

ruby -v: ruby 1.9.3dev (2011-06-06 trunk 31944) |Backport:
[x86_64-linux]

Description

=begin

000 chkbuild 0000000000 tmp/nonexisting 0000000000000
test_s_binwrite(TestlO) [ test_s_write(TestlO) I000 Failure 00000

[Errno::EINVAL] exception expected, not

Class: Errno::EACCES
Message: <"Permission denied - /tmp/nonexisting">

00000 (Tempfile 0 Tmpdir 0100) 00000000000 ensure 0000000000000
0000 #mp 00000DODOODOODOODOODOOD

0000000000000 Amp DO0DO00/mp 00000 symlink attack 0OO0000000000000000 test-anl 0000000000000000000000D

=end

Related issues:
Related to Ruby - Feature #1081: add File::write() convenience method

Closed 02/01/2009

Associated revisions

Revision e301f4c1 - 06/06/2011 06:35 PM - znz (Kazuhiro NISHIYAMA)

e test/ruby/test_io.rb (TestlO#test_s_{,bin}write): do not create a file
under /tmp. [Bug #4846]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31945 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 06/07/2011 03:35 AM - znz (Kazuhiro NISHIYAMA)
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r31945.
Kazuhiro, thank you for reporting this issue.
Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

o test/ruby/test_io.rb (TestlO#test_s_{,bin}write): do not create a file
under /tmp. [Bug #4846]
